## lirc 0.8.4a-1fremantle22

=== debian/changelog ===
lirc (0.8.4a-1fremantle22) unstable; urgency=low

  * Initial prerelease

 -- Sami Parttimaa <t5pasa02@students.oamk.fi>  Mon,  1 Jun 2009 11:57:42 +0300
