=== debian/control ===
Source: lirc
Section: user/multimedia
Priority: extra
Maintainer: Sami Parttimaa <sami@maintain.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: lirc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lirc server
 Internal lirc server.
