## lirc 0.8.4b-1fremantle30

=== debian/changelog ===
lirc (0.8.4b-1fremantle30) unstable; urgency=low

  * Lirc no more starts up automatically when device is started (battery saving)

 -- Juho Hovila <t5hoju00@students.oamk.fi>  Mon,  9 Nov 2009 09:57:42 +0300
