## lirc 0.8.5-1fremantle30

=== debian/changelog ===
lirc (0.8.5-1fremantle30) unstable; urgency=low

  * Bug tracker link added.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon,  22 Feb 2010 11:34:42 +0300
