=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Sami Parttimaa <sami@maintain.org>
 Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=lirc
 
 Package: lirc
 Architecture: any
