## lirc 0.8.5-2fremantle30

=== debian/changelog ===
lirc (0.8.5-2fremantle30) unstable; urgency=low

  * Moved to utils section and optified

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Fri,  26 Feb 2010 13:04:42 +0300
