## lirc 0.8.5-3fremantle30

=== debian/changelog ===
lirc (0.8.5-3fremantle30) unstable; urgency=low

  * Clears lircd logfile under /var/log on start.

 -- Niko Rehnbäck <t6reni00@students.oamk.fi>  Mon,  22 Mar 2010 9:44:42 +0300
