=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lirc
-Section: user/multimedia
+Section: utils
 Priority: extra
 Maintainer: Sami Parttimaa <sami@maintain.org>
 Build-Depends: debhelper (>= 5), autotools-dev
