=== debian/control ===
Source: lirc
Section: utils
Priority: extra
Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.9.3),
 bzip2,
 libusb-dev [!hurd-i386],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libice-dev,
 libftdi-dev,
 libsm-dev,
 libx11-dev,
 libirman-dev,
 autotools-dev,
 devscripts,
 libxt-dev,
 python
Build-Conflicts: libsvga1-dev
Standards-Version: 3.9.1
Uploaders: Matthew Johnson <mjj29@debian.org>,
 Stefan Lippers-Hollmann <s.l-h@gmx.de>
Vcs-Svn: svn://svn.debian.org/svn/pkg-lirc/lirc/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lirc/lirc/trunk/
Homepage: http://lirc.org

Package: lirc
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base
Suggests: lirc-x,
 setserial,
 ir-keytable
Breaks: lirc-modules-source (<<0.9~),
 lirc-svga (<<0.9~)
Description: infra-red remote control support
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the daemons and some utilities to support infra-red
 remote controls under Linux.

Package: lirc-x
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lirc (= ${binary:Version})
Recommends: xfonts-75dpi
Description: infra-red remote control support - X utilities
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides X utilities for LIRC:
  irxevent: allows controlling X applications with a remote control;
  xmode2  : shows the IR waveform of the remote controller without an
            oscilloscope. Unneeded for TV cards or the Irman.

Package: liblircclient-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 liblircclient0 (= ${binary:Version}),
 libc6-dev
Description: infra-red remote control support - client library development files
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package contains the static library and headers for
 the LIRC client library.

Package: liblircclient0
Priority: optional
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: lirc
Description: infra-red remote control support - client library
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides a library with functions to support remote
 controls via LIRC in programs such as xawtv.
