## lirc 0.9.0

=== debian/changelog ===
lirc (0.9.0-0ubuntu5) trusty; urgency=medium

  * debian/lirc.postinst, debian/lirc.templates, debian/po: drop a number of
    debconf templates that are no longer being prompted for at all due to
    the dropping of the lirc-modules-source package and the lirc.config some
    time ago.
  * debian/lirc.postinst: clean up the remaining debconf handling to not
    override settings in /etc/lirc/hardware.conf.
  * debian/lirc.postinst: drop code for removing /var/log/lircd, which has
    been gone for more than a decade.
  * fix blacklist handling, which creates files not used by modprobe, and
    doesn't put all the contents in a single file.
  * drop obsolete Ubuntu migration code that dates from jaunty and lucid.
  * fix a bug that causes transmitter device/driver settings to always be
    cleared on config change.
  * Adjust lircd handling for multiple devices so that events for all of
    them will appear on /dev/lircd as intended.  Thanks to Joel Ebel for
    the patch.  LP: #697999.
  * Use /run/lirc, the canonical name for /var/run/lirc.  LP: #474701.
  * Fix the init script to not report failures when stopping an
    already-stopped daemon.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Mar 2014 05:35:47 -0700

lirc (0.9.0-0ubuntu4) trusty; urgency=medium

  * Use dh-autoreconf for current libtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 16:15:06 -0800

lirc (0.9.0-0ubuntu3) quantal; urgency=low

  * Add an option to prevent disabling in-kernel IR device support while lirc
    is running (LP: #1038371)

 -- Joel Ebel <jbebel@google.com>  Mon, 17 Sep 2012 12:02:34 -0400

lirc (0.9.0-0ubuntu2) quantal; urgency=low

  * Fix path to modules in lirc.postinst (LP: #1004239)

 -- Joel Ebel <jbebel@google.com>  Wed, 08 Aug 2012 01:28:48 -0400

lirc (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream version (0.9.0)
  * Drop lirc-modules-source (LP: #778026)
  * Change to v3 package (quilt)
  * debian/control:
    - Build-deps on newer debhelper
    - bump standards version.
  * debian/compat:
    - Bump to 7
  * Drop Patches:
    - debian/patches/13-warning-cleanup
    - debian/patches/define_current_cpu_data.patch
    - debian/patches/lirc-in-kernel-ioctls.patch
    - debian/patches/updated-driver-names.patch
  * Move extra remotes to our remotes DB.
  * debian/rules: 
    - Remove references to quilt (as it's source package that does it now)
    - remove deprecated dh_clean -k

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 05 May 2011 14:45:59 -0500

lirc (0.8.7-0ubuntu4.1) natty-proposed; urgency=low

  [ Ernst Sjöstrand ]
  * For disabling other protocols, adjust to the new location in 2.6.37.
    (LP: #698208)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 25 Apr 2011 12:52:38 -0500

lirc (0.8.7-0ubuntu4) natty; urgency=low

  [Ernst Sjöstrand]
  * update init script for /sys change in natty kernels (LP: #698208)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Mar 2011 16:26:14 -0400

lirc (0.8.7-0ubuntu3) natty; urgency=low

  * debian/patches/define_current_cpu_data.patch: fix undeclared
    current_cpu_data in lirc-modules-source (LP: #726182)

 -- BeeHock Goh <beehock@gmail.com>  Mon, 13 Mar 2011 17:37:25 +0100

lirc (0.8.7-0ubuntu2) natty; urgency=low

  * configure for devinput should show contents of /dev/input/by-id
    (LP: #695767)

 -- BeeHock Goh <beehock@gmail.com>  Thu, 03 Mar 2011 17:37:25 +0100

lirc (0.8.7-0ubuntu1) natty; urgency=low

  * Use 0.8.7 final version

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Jan 2011 11:42:19 +1100

lirc (0.8.7~pre3-0ubuntu2) natty; urgency=low

  * No-change upload to reduce changelogs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Dec 2010 12:47:14 +0100

lirc (0.8.7~pre3-0ubuntu1) maverick; urgency=low

  * Update to 0.8.7~pre3 snapshot.
  * Update lirc postinst to reference the right directory when unloading modules.
  * Don't show init script errors if no remote is plugged in.
  * Refresh lirc-in-kernel-ioctls.patch. (LP: #600739)
  * Build-depends on portaudio19-dev (LP: #567556)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 04 Sep 2010 18:38:49 -0500

lirc (0.8.7~pre2-0ubuntu1) maverick; urgency=low

  * Update to 0.8.7~pre2
    - Fixes issues with lirc on maverick. (LP: #620498)
  * Add lirc-in-kernel-ioctls.patch to use ioctls from the kernel for drivers.
  * Drop patches upstream now:
    - debian/patches/appleir_repeat_issue.patch
    - debian/patches/hauppauge-tv-card.patch
    - debian/patches/lirc-i2c-2.6.patch
    - debian/patches/lirc_dev-2.6.33.patch
  * Add updated-driver-names.patch 
  * Refresh patches:
    - debian/patches/02_Makefile.in
    - debian/patches/13-warning-cleanup
  * Update extra transmitter and remote databases to not reference atiusb.
  * debian/control:
    - Update branches to be owned by ~mythbuntu-dev
  * Disable in-kernel-support when starting lircd, and re-enable when
    stopping.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 02 Apr 2010 15:06:19 -0500

lirc (0.8.6-0ubuntu5) maverick; urgency=low

  * Add hauppauge-tv-card.patch to fix detection of Hauppauge TV Card as
    Leadtek IR (LP: #550369)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 08 May 2010 23:59:53 +0200

lirc (0.8.6-0ubuntu4) lucid; urgency=low

  [ Mario Limonciello ]
  * debian/patches/lirc-i2c-2.6.patch: 
    - Fixes building lirc-i2c on kernel 2.6.32 (LP: #513042)
  * Enable building wpc8769l module.  Thanks Greg Vickers. (LP: #508266)
  * debian/patches/lirc_dev-2.6.33.patch:
    - Fixes lirc_dev to work with 2.6.33 as well.  Useful for people who use
      the kernel mainline PPA. (LP: #529514)
    - Thanks RK & MarkRandolph.
  * debian/patches/appleir_repeat_issue.patch: 
    - Fix apple IR key repeat issue by backporting patch from LIRC CVS.
      (LP: #440466)
    - Thanks Chase Douglas for sharing this patch.

  [ Jeremy Yoder ]
  * Fix /regression in /etc/init.d/lirc where if both REMOTE and TRANSMITTER

