=== debian/control ===
--- 
+++ 
@@ -1,38 +1,43 @@
 Source: lirc
 Section: utils
 Priority: extra
-Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.9.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~),
+ dh-autoreconf,
  bzip2,
  libusb-dev [!hurd-i386],
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libice-dev,
- libftdi-dev,
  libsm-dev,
  libx11-dev,
  libirman-dev,
+ libftdi-dev,
  autotools-dev,
+ portaudio19-dev,
  devscripts,
+ quilt,
  libxt-dev,
- python
-Build-Conflicts: libsvga1-dev
+ po-debconf
 Standards-Version: 3.9.1
 Uploaders: Matthew Johnson <mjj29@debian.org>,
- Stefan Lippers-Hollmann <s.l-h@gmx.de>
-Vcs-Svn: svn://svn.debian.org/svn/pkg-lirc/lirc/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lirc/lirc/trunk/
+ Stefan Lippers-Hollmann <s.l-h@gmx.de>,
+ Sven Müller <sven@debian.org>
+Vcs-Bzr: lp:~mythbuntu-dev/lirc/ubuntu
+#Vcs-Svn: svn://svn.debian.org/svn/pkg-lirc/lirc/trunk/
+#Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lirc/lirc/trunk/
 Homepage: http://lirc.org
 
 Package: lirc
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- lsb-base
-Suggests: lirc-x,
- setserial,
- ir-keytable
-Breaks: lirc-modules-source (<<0.9~),
- lirc-svga (<<0.9~)
+ lsb-base,
+ setserial
+Recommends: udev
+Suggests: lirc-x
+Replaces: lirc-modules-source
+Conflicts: makedev (<< 2.3.1-88), lirc-modules-source
 Description: infra-red remote control support
  LIRC stands for 'Linux Infra-red Remote Control'.
  .
@@ -44,6 +49,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  lirc (= ${binary:Version})
+Replaces: lirc (<< 0.6.4-8)
 Recommends: xfonts-75dpi
 Description: infra-red remote control support - X utilities
  LIRC stands for 'Linux Infra-red Remote Control'.
@@ -77,3 +83,4 @@
  .
  This package provides a library with functions to support remote
  controls via LIRC in programs such as xawtv.
+
