=== debian/watch ===
version=3
http://lirc.org/ \
	http://sf.net/lirc/lirc-([\.0-9a-zA-Z]+)\.tar\.gz
