## lirc 0.9.4c

=== debian/changelog ===
lirc (0.9.4c-9) unstable; urgency=medium

  * Fix missing systemd socket activation (Closes: #859491).
  * Fix package purge (Closes: #852118).

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 06 Apr 2017 05:23:20 +0200

lirc (0.9.4c-8) unstable; urgency=medium

  * Fix missinng deps for lirc-setup (Closes: #858144).

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 21 Mar 2017 17:50:54 +0100

lirc (0.9.4c-7) unstable; urgency=medium

  * Fix lirc_options.conf upgrade regression in 0.9.4c-6
  * Actually add the hurd build patch missing in 0.9.4c-6
  * Fix segfault on SET_INPUTLOG socket command (upstream #252).
  * Fix bad handling of ircat --config options (upstream #251).

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 05 Jan 2017 00:05:35 +0100

lirc (0.9.4c-6) unstable; urgency=medium

  * Fix unsecure permissions for /run/lirc. Closes: #848135
  * Fix missing config.h header (Upstream #250).
  * Fix HURD build (Closes: #845499)
    - Fix from Samuel Thibault
  * Add missing Suggests: for lirc-compat-remotes.
  * Fix --listen option parsing bug (upstream #249).
  * Fix bad update handling of lirc_options.conf (see: #849266).

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 20 Dec 2016 12:36:19 +0100

lirc (0.9.4c-5) unstable; urgency=medium

  * Team upload.
  * Updated README.debian, new package lirc-compat-remotes info.
  * Added patch for missing lircd-setup.service file.
  * Removed work-around for nowadays fixed  #801719.
  * Added fix for remove --purge not purging all files.
  * lirc-old2new fixes for default device.
  * Fixed to build on freebsd platforms.

 -- Alec Leamas <leamas.alec@gmail.com>  Wed, 02 Nov 2016 19:36:19 +0100

lirc (0.9.4c-4) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Resolves (new bugs) LP: #1636355, LP: #1636353
  * Resolves (old bugs) LP: #1497266, LP: #1565070, LP: #1395570,
    LP: #1393056, LP: #1310508, LP: #1203483, LP: #1438381,

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 28 Oct 2016 15:46:34 +0200

lirc (0.9.4c-3) experimental; urgency=medium

  * debian/control: Fix bad upgrade paths.
  * Fix bad library specification in lirc.pc (#236)

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 25 Oct 2016 21:46:06 +0200

lirc (0.9.4c-2) experimental; urgency=medium

  * Fix unconfigured clients build errors.

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 25 Oct 2016 10:32:39 +0200

lirc (0.9.4c-1) experimental; urgency=medium

  * New upstream release.
  * New tool irtext2udp.
  * Resolves build errors on kernels > 4.8.0A.
  * Most of patches upstreamed.

 -- Alec Leamas <leamas.alec@gmail.com>  Sat, 22 Oct 2016 14:52:05 +0200

lirc (0.9.4b-0.3) experimental; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * fix arch:all build.

  [ Alec Leamas ]
  * Fix build errors on non-linux kernels.
    (conditionalize udev dependency)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Oct 2016 19:30:47 +0200

lirc (0.9.4b-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix build errors on non-linux kernels.
  * Declare liblirc0 as multi-arch; Closes: #812947.

 -- Alec Leamas <leamas.alec@gmail.com>  Wed, 05 Oct 2016 06:07:40 +0200

lirc (0.9.4b-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * First shot on major upstream updates.
    - Re-packaged from scratch based on new dh primitives.
    - Thanks for help on debian-mentors!
  * New upstream release 0.9.4
    - Release 0.9.1 .. 0.9.3 was never packaged.
    - Old 'lirc' service split into separate systemd services:
      lircd.service, lircmd.service and irexec.service.
    - Remote definitions moved out of lirc to new project
      lirc-remotes; affects large number of LP issues.
    - Builds also on FreeBSD 10.3.
    - Fixes "Not updated to last version" (Closes: #777199),
      LP: #1443590.
    - Fixes "Default device for mode2 is /dev/lirc" (Closes: #702140).
    - Fixes "/var/run/lirc contents disappear..." (Closes: #676343).
    - Fixes "lircrcd segfaults" (Closes: #780062).
    - Fixes "'/etc/init.d/lirc restart' is broken" (Closes: #782091).
    - Fixes "Prompting due to modified conffiles..." (Closes: #655969).
    - Fixes "LIRC installs bad udev rule" (Closes: #804397),
      users depending on this rule will need to explicitly start lircd.
    - Fixes "lirc init script can create circular symlinks", LP: #698007.
    - Fixes "Update Uploaders List (Closes: #762554).
    - Fixes "Please switch to libftdi1" (Closes:  #810370).
    - Fixes LP: #153457 "iguanaIR support not functional".
    - Fixes LP: #460027 "using lirc init script restart function fails
      sometimes".
    - Fixes LP: #499588 "lirc udev rule causes unreliable startup".
    - Fixes LP: #567519 "lircd(8) mentions non-existent
      /dev/input/uinput".
    - Fixes LP: #1029604 "mce remote doesn't work due to out of date
      lircd.conf.devinput".
    - Fixes LP: #1312287 "lircd start problem".
  * The built-in irman support is moved to the lirc-drv-irman package.
  * Revised package structure: keep old liblircclient0 (renamed to
    liblirc-client0). Adding new packages liblirc0, liblirc-dev and
    lirc-doc. Former liblircclient-dev merged into new liblirc-dev.
  * Don't overwrite existing lircd.conf file.
  * Ship sysV scripts from the svn tree [Stefan Lippers-Hollmann]
  * Add handling of obsolete 0.9.0 udev rule restarting lircd
  * Old lircd output socket link /dev/lirc dropped. Use
    /var/run/lirc/lircd.
  * Updated copyright
  * Update compiler flags: -Wl,as-needed + hardening
    [Stefan Lippers-Hollmann]
  * Avoid negative architecture deps like [!hurd] (Closes: #634807)
    [Stefan Lippers-Hollmann]
  * Add patch 0007-tools-remove-configs-symlink.patch + explicit link
    to walk around #801719 (dh_python3 shortcomings).
  * Last parts of libirman dependencies removed.
  * Changing Vcs-* headers to point to upstream packaging branch.
  * Fixes existing large number of upgrade bugs.
  * Enhance hardening flags.

