=== debian/watch ===
version=3
opts="uversionmangle=s/pre/~pre/" http://sf.net/lirc/lirc-([0-9].+)\.tar\.gz
